Skip to content

Xếp hạng sản phẩm - Được quảng bá nhiều nhất

Giới thiệu

Lấy các sản phẩm được quảng bá nhiều nhất, với các tính năng sau:

  • Hỗ trợ tham số lọc
  • Hỗ trợ sắp xếp kết quả tùy chỉnh

Endpoint API

bash
    POST /product/v1/rank/mostPromoted

Phần thân yêu cầu

TrườngKiểuBắt buộcMô tả
filterobjectKhôngTham số lọc
orderbyobjectKhôngTham số sắp xếp
pageintegerKhôngSố trang, mặc định: 1
pagesizeintegerKhôngSố mục mỗi trang, mặc định: 10

page * pagesize <= 500

pagesize khoảng [1, 100]

Giá trị tùy chọn của filter

TrườngKiểuBắt buộcMô tả
regionstringKhôngQuốc gia/Khu vực
date_infoobjectThông tin ngày, ví dụ {'type': 'day', 'value': '2026-02-01'}
category_idintegerKhôngDanh mục sản phẩm
is_cross_borderintegerKhôngSản phẩm có phải xuyên biên giới không
is_fully_managedintegerKhôngSản phẩm có phải Fully Managed không

Khu vực khả dụng: ['US', 'ID', 'GB', 'VN', 'TH', 'MY', 'PH', 'SG', 'ES', 'MX', 'DE', 'FR', 'PT', 'NL', 'BE', 'AT', 'PL', 'IT', 'BR', 'JP']

Giá trị tùy chọn của orderby

TrườngBắt buộcMô tả
affiliate_countKhôngSố liên kết (giảm dần)
total_affiliate_countKhôngTổng số liên kết (giảm dần)

Ví dụ yêu cầu

bash
curl 'https://openapi.fastmoss.com/product/v1/rank/mostPromoted' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 2,
        "date_info": {
            "type": "day",
            "value": "2026-02-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-18"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-02"
        # }
    },
     "orderby": [
      {
        "field": "affiliate_count",
        "order": "desc"
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Phần thân phản hồi

data.total

  • Kiểu: integer
  • Mô tả: Tổng số kết quả

data.list

TrườngKiểuMô tả
product_idstringID sản phẩm
titlestringTiêu đề sản phẩm
regionstringQuốc gia/Khu vực
coverstringURL ảnh bìa sản phẩm
categoryobjectDanh mục sản phẩm
commission_rateintegerTỷ lệ hoa hồng
real_pricestringGiá sản phẩm
currencystringtiền tệ của giá
units_soldintegerSản lượng bán
gmvintegerDoanh thu
affiliate_countintegerSố liên kết
total_affiliate_countintegerTổng số liên kết
shopobjectThông tin cửa hàng

data.list.shop

TrườngKiểuMô tả
seller_idstringID cửa hàng
namestringTên cửa hàng
avatarstringURL ảnh bìa cửa hàng
total_units_soldintegerTổng sản lượng bán của cửa hàng

Ví dụ phản hồi

json
{
  "code": 0,
  "msg": "success",
  "data": {
    "total": 500,
    "list": [
      {
        "product_id": "1731252369156444451",
        "units_sold": 833,
        "gmv": 14994,
        "affiliate_count": 214,
        "total_affiliate_count": 8176,
        "off_shelves": 0,
        "launch_time": 1748956607,
        "title": "e.l.f. Halo Glow Skin Tint SPF 50 - Hydrating Serum-Like Concealer with Mineral SPF 50 Sunscreen, Lightweight & Water-Resistant, 18 Shades, 30ml",
        "cover": "https://s.500fd.com/tt_product/f9b6e759e360420384cdacec82808f85~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg",
        "region": "US",
        "currency": "USD",
        "real_price": "$18.00",
        "commission_rate": 1500,
        "category": {
          "l1": {
            "id": 14,
            "name": "Beauty & Personal Care"
          },
          "l2": {
            "id": 848648,
            "name": "Makeup"
          },
          "l3": {
            "id": 601554,
            "name": "Concealer & Foundation\t"
          }
        },
        "shop": {
          "avatar": "https://s.500fd.com/tt_shop/9ff01cdd6a0e4497aa55aae3403362c5~tplv-omjb5zjo8w-resize-png:300:300.png",
          "seller_id": "7494913857786775843",
          "name": "e.l.f. Cosmetics",
          "total_units_sold": 2369716,
          "is_fully_managed": null
        }
      }
    ]
  }
}